$ifndef _AMICUS18_INC
$define _AMICUS18_INC
'
' Header file for use with the Amicus18 board
'
    Device = 18F25K20

    Declare Xtal = 64
'    Declare Xtal = 16    
    Declare Optimiser_Level = 2
    Declare Dead_Code_Remove = 1

    Declare Hserial_Baud = 9600                 ' Set baud rate to 9600
    Declare Hserial_RCSTA = %10010000           ' Enable serial port and continuous receive
    Declare Hserial_TXSTA = %00100000           ' Enable transmit and asynchronous mode
    Declare Hserial_Clear = 1                   ' Enable Error clearing on received characters

'-------------------------------------------------------------------------------
'Calculated Baudrate = 9598 @ Xtal 64MHz, Error = -0,02%
'    Declare Hserial_RCSTA  = %10010000      ' Enable continuous receive 
'    Declare Hserial_TXSTA  = %00100100      ' Enable transmit, BRGH = 1
'    Declare Hserial_Clear  = On             ' Clear overflow automatically
'    Declare Hserial_SPBRG  = $82            ' Baud Rate Generator Low Byte Value
'    SPBRGH         = $06                    ' Baud Rate Generator High Byte Value
'    BAUDCON.3      = 1                      ' Enable the 16 bit Baud Rate Generator
'-------------------------------------------------------------------------------


Config_Start
  FOSC = HSPLL	    ;HS oscillator, PLL enabled (Clock Frequency = 4 x FOSC1)
  FCMEN = On	    ;Fail-Safe Clock Monitor enabled
  IESO = On	        ;Oscillator Switchover mode enabled
  PWRT = On	        ;PWRT enabled
  BOREN = SBORDIS	;Brown-out Reset enabled in hardware only (SBOREN is disabled)
  BORV = 18	        ;VBOR set to 1.8 V nominal
  WDTEN = On	    ;WDT is always enabled. SWDTEN bit has no effect
  WDTPS = 512	    ;1:512
  CCP2MX = PORTC	;CCP2 input/output is multiplexed with RC1
  PBADEN = OFF	    ;PORTB<4:0> pins are configured as digital I/O on Reset
  LPT1OSC = OFF	    ;Timer1 configured for higher power operation
  HFOFST = On	    ;HFINTOSC starts clocking the CPU without waiting for the oscillator to stablize.
  MCLRE = On	    ;MCLR pin enabled; RE3 input pin disabled
  STVREN = On	    ;Stack full/underflow will cause Reset
  LVP = On	        ;Single-Supply ICSP enabled
  XINST = OFF	    ;Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
  Debug = OFF	    ;Background debugger disabled, RB6 and RB7 configured as general purpose I/O pins
  Cp0 = OFF	        ;Block 0 (000800-001FFFh) not code-protected
  CP1 = OFF	        ;Block 1 (002000-003FFFh) not code-protected
  CP2 = OFF	        ;Block 2 (004000-005FFFh) not code-protected
  CP3 = OFF	        ;Block 3 (006000-007FFFh) not code-protected
  CPB = OFF	        ;Boot block (000000-0007FFh) not code-protected
  CPD = OFF	    ;Data EEPROM not code-protected
  WRT0 = OFF	;Block 0 (000800-001FFFh) not write-protected
  WRT1 = OFF	;Block 1 (002000-003FFFh) not write-protected
  WRT2 = OFF	;Block 2 (004000-005FFFh) not write-protected
  WRT3 = OFF	;Block 3 (006000-007FFFh) not write-protected
  WRTC = OFF	;Configuration registers (300000-3000FFh) not write-protected
  WRTB = OFF	;Boot Block (000000-0007FFh) not write-protected
  WRTD = OFF	;Data EEPROM not write-protected
  EBTR0 = OFF	;Block 0 (000800-001FFFh) not protected from table reads executed in other blocks
  EBTR1 = OFF	;Block 1 (002000-003FFFh) not protected from table reads executed in other blocks
  EBTR2 = OFF	;Block 2 (004000-005FFFh) not protected from table reads executed in other blocks
  EBTR3 = OFF	;Block 3 (006000-007FFFh) not protected from table reads executed in other blocks
  EBTRB = OFF	;Boot Block (000000-0007FFh) not protected from table reads executed in other blocks
Config_End


    Declare All_Digital = 1

    $ifndef CR
    $define CR 13
    $endif
    
    $ifndef LF
    $define LF 10
    $endif
    
    $ifndef BS
    $define BS 8
    $endif
    
    $ifndef True
    $define True 1
    $endif
    
    $ifndef False
    $define False 0
    $endif

$endif
'/==============================================================================

